#ifndef H_WAVENCODER
#define H_WAVENCODER

#include <stdio.h>

class WAVEncoder {
public:
    WAVEncoder();
    ~WAVEncoder();

    bool onStartEncoding(const char* movieFile);
    bool onStopEncoding();

    void clock(const unsigned char* videoFrame, const unsigned char* audioFrame);

private:
    unsigned int _dataChunkSize;
    FILE* _output;
};

#endif