
#ifndef H_BMPENCODER
#define H_BMPENCODER

#include <windows.h>

class BMPEncoder {
public:
    BMPEncoder();
    ~BMPEncoder();

    bool onStartEncoding(const char* movieFile);
    bool onStopEncoding() { return true; }

    void clock(const unsigned char* videoFrame, const unsigned char* audioFrame);

private:
    static bool browseForDirectory(HWND hwndOwner, LPTSTR lpszDir, LPCTSTR lpszTitle, const char *startDir);
    static int __stdcall browseCallbackProc(HWND hwnd, UINT uMsg, LPARAM lParam, LPARAM lpData);

private:
    char* _outputDirectory;
    int _frameCounter;
};

#endif